- name: install RabbitMQ
  yum:
   name: rabbitmq-server
   state: present

- name: start message queue service
  service:
    name: rabbitmq-server
    enabled: yes
    state: restarted

# This................ check
- name: checking previous user (openstack)
  shell: echo "$(sudo rabbitmqctl list_users | grep -o 'openstack')"
  register: check_user

- name: adding openstack user (password=vagrant)
  shell: "rabbitmqctl add_user openstack {{ rabbit_password }}"
  when: check_user.stdout is not match('openstack')

- name: setting permissions for the openstack user
  shell: rabbitmqctl set_permissions openstack ".*" ".*" ".*"
